# Interface AttributeFilter<D>

#### Type Parameters

- #### D

#### Hierarchy

- AttributeFilterDef<D>
- BaseDataFilter<D>
  - AttributeFilter

#####
Index

### Properties

collationOptions?
op
value

### Methods

filter

## Properties

### `Optional` collationOptions

collationOptions?: {
sensitivity?: "base" | "accent" | "case" | "variant";
}

#### Type declaration

- ##### `Optional` sensitivity?: "base" | "accent" | "case" | "variant"

Inherited from AttributeFilterDef.collationOptions

### op

op: AttributeOperator

Inherited from AttributeFilterDef.op

### value

value: any

Inherited from AttributeFilterDef.value

## Methods

### filter

- filter(item, index?, array?): boolean

- #### Parameters

  - ##### item: D

  - ##### `Optional` index: number

  - ##### `Optional` array: D[]

  #### Returns boolean

  Inherited from BaseDataFilter.filter

Generated using TypeDoc